Subject: Re: e1000 full-duplex TCP performance well below wire speed

From: Andi Kleen <[email-masked]>
Date: Thu, 31 Jan 2008 10:17:14 +0100

Bruce Allen <[email-masked]> writes:
>
> Important note: we ARE able to get full duplex wire speed (over 900
> Mb/s simulaneously in both directions) using UDP.  The problems occur
> only with TCP connections.

Another issue with full duplex TCP not mentioned yet is that if TSO is used 
the output  will be somewhat bursty and might cause problems with the 
TCP ACK clock of the other direction because the ACKs would need 
to squeeze in between full TSO bursts.

You could try disabling TSO with ethtool.

-Andi